Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.preview_new_graphdraw.impl.crooked
Class CrookedSpringLayout

    java.lang.Object
      samples.preview_new_graphdraw.iter.IterableLayout
          samples.preview_new_graphdraw.iter.UpdatableIterableLayout
              samples.preview_new_graphdraw.iterablelayouts.SpringLayout
                  samples.preview_new_graphdraw.impl.crooked.CrookedSpringLayout

All Implemented Interfaces:
  LayoutEmitter

public class CrookedSpringLayout
extends SpringLayout

Author:
  danyelf

Nested Class Summary
`protected static class` | `CrookedSpringLayout.CrookedSpringEdge`

Nested classes inherited from class samples.preview_new_graphdraw.iterablelayouts.SpringLayout
`SpringLayout.SpringEdge, SpringLayout.SpringVertex`

Field Summary

Fields inherited from class samples.preview_new_graphdraw.iterablelayouts.SpringLayout
`FORCE_CONSTANT, RANGE, STRETCH`

Fields inherited from class samples.preview_new_graphdraw.iter.IterableLayout
`currentLayout, returnableLayout`

Constructor Summary
`CrookedSpringLayout()`

Method Summary
`protected VisEdge` | `createVisEdge(Edge ve, VisVertex front, VisVertex back)`

Methods inherited from class samples.preview_new_graphdraw.iterablelayouts.SpringLayout
`addVisEdge, addVisVertex, calculate, calculateRepulsion, createVisVertex, getAVertex, getLength, initializeLocationsFromLayout, isFinite, iterationsAreDone, moveNodes, relaxEdges`

Methods inherited from class samples.preview_new_graphdraw.iter.UpdatableIterableLayout
`cleanupReferences, getSymmetricDifference, removeEdge, removeVertex, updateGraph, updateGraphToMatch`

Methods inherited from class samples.preview_new_graphdraw.iter.IterableLayout
`advance, emit, getScreenSize, getVisEdge, getVisVertex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrookedSpringLayout

    public CrookedSpringLayout()

Method Detail

### createVisEdge

    protected VisEdge createVisEdge(Edge ve,
                                    VisVertex front,
                                    VisVertex back)

  Overrides:
    `createVisEdge` in class `SpringLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD